Skip to main content
POST
/
model-monitor
/
v2
/
api
/
model
/
{model_id}
/
collaborators
Add collaborators
curl --request POST \
  --url https://api.example.com/model-monitor/v2/api/model/{model_id}/collaborators \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
[
  {
    "collaboratorId": "<string>"
  }
]
'
[
  {
    "userId": "<string>",
    "username": "<string>",
    "email": "<string>",
    "name": "<string>"
  }
]

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

model_id
string
required

Body

application/json
collaboratorId
string
required
collaboratorLevel
enum<string>
required

type of collaborator

Available options:
editor,
viewer

Response

Successfully add a collaborator to model.

userId
string
required

user id of the collaborator

collaboratorLevel
enum<string>
required

type of collaborator

Available options:
editor,
viewer
username
string

Username of the user

email
string | null

Email of the user

name
string

Name of the user